// ===============================================================================
// Title:	HDConnectivity Matrix IP Module for iRemoteControl
//
// Use:
//
// setMatrix(string output, string input)
// TCP Port:8000
// ===============================================================================



var HDConnectivityMatrix = function(systemName) {
	
	var self = {
		systemName: systemName		
	};

	self.setMatrix = function(output, input) {
		self.sendCommand(parseInt(output), parseInt(input));
	};

	self.sendCommand = function(output, input) {
		var str = String.fromCharCode(0xa5, 0x5b, 0x02, 0x03, 0x00 + input, 0x00, 0x00 + output, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfb - input - output);
		if(CF.debug) CF.log(str);
		CF.send(self.systemName, str);
	};

	return self;
};

